package WWW::Streamripper::WebUI;

use strict;


require Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw(install);


use IO::All;
use Archive::Tar;

sub tarball { '[encoded data, 12416 characters]' }

sub install {
    (my $cont = tarball) =~ s/(..)/chr hex($1)/eg;
    io("./webui.tar.gz")->print($cont);
    Archive::Tar->extract_archive("./webui.tar.gz");
    unlink "./webui.tar.gz";
    chmod 0777, qw(config mp3 mp3/incomplete run);
    chmod 0755, qw(bin/get_streams.pl);
    chmod 0666, qw(config/stream_schedule config/stream_source);
    print "WWW::Streamripper::WebUI is Installed.\n";
}




1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

WWW::Streamripper::WebUI - WWW interface for streamripper

=head1 INSTALLATION

 mkdir ~/htdocs/streamripper
 cd ~/htdocs/streamripper
 perl -MWWW::Streamripper::WebUI -e 'install'


=head1 SEE ALSO

L<http://streamripper.sourceforge.net/>. Please have it installed first.

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2004 by Yung-chung Lin (a.k.a. xern) <xern@cpan.org> This package is free software; you can redistribute it and/or modify it under the same terms as Perl itself

=cut
